# encoding: ascii
# api: powershell
# title: Close-Control.ps1
# description: This file was uploaded by a PowerGUI Script Editor Add-on.
# version: 0.1
# type: function
# author: Anonymous
# license: CC0
# function: Close-Control
# x-poshcode-id: 4284
# x-archived: 2013-07-09T04:38:22
# x-published: 2013-07-02T11:37:00
#
#
function Close-Control
{
    param(
    [Parameter(Mandatory=$true,
        ValueFromPipeline=$true)]
    [Windows.Media.Visual]
    $Visual
    )
    
    process {
        if ($Visual -is [Windows.Window]) {
            $Visual.Close()
        }
        if ($Visual.Parent -is [Windows.Window]) {
            $Visual.Close()
        }
        $Visual.Visibility = "Collapsed"
    }
}
