# encoding: ascii
# api: xml
# title: CorpTools View
# description: Corp.format.ps1xml
# version: 1.0
# type: script
# author: Don Jones
# license: CC0
# x-poshcode-id: 5256
# x-archived: 2014-06-26T09:02:30
# x-published: 2014-06-20T17:13:00
#
#
<?xml version="1.0" encoding="utf-8" ?>
<Configuration>
    <ViewDefinitions>

        <View>
            <Name>Corp.NetInfo</Name>
            <ViewSelectedBy>
                <TypeName>Corp.NetInfo</TypeName>
            </ViewSelectedBy>
 
             <TableControl>

                <TableHeaders>
                    <TableColumnHeader>
                        <Label>ComputerName</Label>
                        <Width>16</Width>
                    </TableColumnHeader>
                    <TableColumnHeader>
                        <Label>Adapter</Label>
                        <Width>16</Width>
                    </TableColumnHeader>
                    <TableColumnHeader>
                        <Label>IPAddress</Label>
                        <Width>20</Width>
                    </TableColumnHeader>
                </TableHeaders>

                <TableRowEntries>
                    <TableRowEntry>
                        <TableColumnItems>
                            <TableColumnItem>
                                <PropertyName>ComputerName</PropertyName>
                            </TableColumnItem>
                            <TableColumnItem>
                                <PropertyName>Adapter</PropertyName>
                            </TableColumnItem>
                            <TableColumnItem>
                                <ScriptBlock>"$($_.IPAddress)/$($_.Subnet)"</ScriptBlock>
                            </TableColumnItem>
                        </TableColumnItems>
                    </TableRowEntry>
                 </TableRowEntries>
                
            </TableControl>
 
        </View>

    </ViewDefinitions>
</Configuration>
