# encoding: ascii
# api: powershell
# title: Disable-CopyPasta-1.ps1
# description: Updated
# version: 0.1
# author: Cody Bunch
# license: CC0
# x-poshcode-id: 1475
# x-archived: 2013-09-28T00:39:01
# x-published: 2010-11-18T06:19:00
#
#
Begin {

        $disableCopy = "isolation.tools.copy.enable"
        $disableCopy_value = "false"
        $disablePaste = "isolation.tools.paste.enable"
        $disablePaste_value = "false"
        $disableGUI = "isolation.tools.setGUIOptions.enable"
        $disableGUI_value = "false"
}

Process {
    #Make Sure it's a VM
        if ( $_ -isnot [VMware.VimAutomation.Client20.VirtualMachineImpl] ) { co ntinue  }

        #Setup our Object
        $vm = Get-View $_.Id
        $vmConfigSpec = New-Object VMware.Vim.VirtualMachineConfigSpec
        $vmConfigSpec.extraconfig += New-Object VMware.Vim.optionvalue
        $vmConfigSpec.extraconfig += New-Object VMware.Vim.optionvalue
        $vmConfigSpec.extraconfig += New-Object VMware.Vim.optionvalue
        $vmConfigSpec.extraconfig[0].Key=$disableCopy
        $vmConfigSpec.extraconfig[0].Value=$disableCopy_value
        $vmConfigSpec.extraconfig[1].Key=$disablePaste
        $vmConfigSpec.extraconfig[1].Value=$disablePaste_value
        $vmConfigSpec.extraconfig[2].Key=$disableGUI
        $vmConfigSpec.extraconfig[2].Value=$disableGUI_value
        #Run the change
        $vm.ReconfigVM($vmConfigSpec)
}
