# encoding: ascii
# api: powershell
# title: EPO Deployment 
# description: All descriptions on the web which show how to do this so far have left the email attachment open which means if the script is continuing after the email and you wish to use the file you have attached you will not be able to as it will show as locked, use this example to close the attached file correctly using .Dispose()
# version: 0.1
# author: Richard van Erk
# license: CC0
# x-poshcode-id: 6569
# x-archived: 2016-11-28T14:23:55
# x-published: 2016-10-11T19:50:00
#
#
$file = "MYFILE.TXT"

$smtpServer = "MYSMTPSERVER.EMAIL.CO.UK"

$msg = new-object Net.Mail.MailMessage
$att = new-object Net.Mail.Attachment($file)
$smtp = new-object Net.Mail.SmtpClient($smtpServer)

$msg.From = "FROMME@EMAIL.CO.UK"
$msg.To.Add("TOME@EMAIL.CO.UK")
$msg.Subject = "MY SUBJECT"
$msg.Body = "MY TEXT FOR THE EMAIL"
$msg.Attachments.Add($att)

$smtp.Send($msg)

$att.Dispose()
