# encoding: ascii
# api: powershell
# title: Get-ClipboardText
# description: This function retrieves the (Unicode) text from the clipboard.
# version: 0.1
# type: function
# author: Matthew Sessions
# license: CC0
# function: Get-ClipboardText
# x-poshcode-id: 4980
# x-archived: 2015-01-31T20:31:21
# x-published: 2015-03-12T21:28:00
#
#
Function Get-ClipboardText
{
    [CmdletBinding()]
    [OutputType([String])]
    
    Param() # No parameters
    
    [System.Windows.Forms.Clipboard]::GetText( 'UnicodeText' ) | Write-Output
}
