# encoding: ascii
# api: powershell
# title: Get-Cpl
# description: A function to retrieve available Control Panel Applets along with a description.
# version: 0.1
# type: function
# license: CC0
# function: Get-Cpl
# x-poshcode-id: 2397
# x-archived: 2010-12-10T22:10:24
#
#
function Get-Cpl {
dir $env:windir\system32 | Where-Object {$_.Extension -eq ".cpl"} | Select-Object Name,@{Name="Description";Expression={$_.VersionInfo.FileDescription}} | Sort-Object Description | Format-Table -AutoSize
}
