# encoding: ascii
# api: powershell
# title: Get-HarddriveModel
# description: Retrieves harddrive model name without WMI
# version: 0.1
# type: function
# author: greg zakharov
# license: CC0
# function: Get-HarddriveModel
# x-poshcode-id: 5285
# x-archived: 2014-07-08T16:21:31
# x-published: 2014-07-05T13:30:00
#
#
function Get-HarddriveModel {
  <#
    .NOTES
        Author: greg zakharov
  #>
  (gp (
      Join-Path $key (
        'Enum\' + (gp (Join-Path ($key = 'HKLM:\SYSTEM\CurrentControlSet') 'Services\Disk\Enum')).('0')
      )
    )
  ).FriendlyName
}
