# encoding: ascii
# api: powershell
# title: Invert-MouseWheel
# description: Inverts the mouse wheel scrolling in Windows (to match the way it works in OS X)
# version: 0.1
# author: Joel Bennett
# license: CC0
# x-poshcode-id: 6734
# x-archived: 2017-02-18T06:33:27
# x-published: 2017-02-15T06:25:00
#
#
Get-ItemProperty HKLM:\SYSTEM\CurrentControlSet\Enum\HID\*\*\Device` Parameters FlipFlopWheel -EA 0 | 
ForEach-Object { Set-ItemProperty $_.PSPath FlipFlopWheel 1 }
