# encoding: ascii
# api: powershell
# title: Is-Admin
# description: Verify user is administrator
# version: 0.1
# type: function
# author: skourlatov
# license: CC0
# function: Is-Admin
# x-poshcode-id: 5271
# x-archived: 2015-01-31T20:32:06
# x-published: 2015-07-01T09:44:00
#
#
Function Is-Admin
{
	$principal = [Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()
	$role = [Security.Principal.WindowsBuiltInRole]::Administrator
	return $principal.IsInRole($role)
}
