# encoding: ascii
# api: powershell
# title: List Object Discoveries
# description: Enumerate OpsMgr 2007 Object Discoveries targeted to Windows Server
# version: 0.1
# type: class
# author: Stefan Stranger 
# license: CC0
# x-poshcode-id: 644
# x-archived: 2008-10-27T18:23:27
#
# Date: 13/10/2008
# Author: Stefan Stranger (help from Jeremy Pavleck and Marco Shaw)
#
# Enumerate OpsMgr 2007 Object Discoveries targeted to Windows Server
# Date: 20/10/2008
# Author: Stefan Stranger (help from Jeremy Pavleck and Marco Shaw)
# Author: Cory Delamarter (increased speed)
get-discovery | ? {$_.Target -match $(get-monitoringclass -Name "Microsoft.Windows.Server.Computer").Id} | ft Name, DisplayName
