# encoding: ascii
# api: powershell
# title: NIC Performance
# description: Reads perfmon counters from all network interfaces
# version: 0.1
# author: halr9000
# license: CC0
# x-poshcode-id: 1346
# x-archived: 2009-10-25T12:26:59
#
#
$cat = New-Object system.Diagnostics.PerformanceCounterCategory("Network Interface")
$inst = $cat.GetInstanceNames()
foreach ( $nic in $inst ) {
	$a = $cat.GetCounters( $nic )
	$a | ft CounterName, { $_.NextValue() } -AutoSize
}
