# encoding: ascii
# api: powershell
# title: Pause
# description: Function was originally posted by the PowerShell Team on 2007/02/25 @ http://blogs.msdn.com/b/powershell/archive/2007/02/25/pause.aspx
# version: 0.1
# type: function
# author: Vidrine
# license: CC0
# x-poshcode-id: 3339
# x-archived: 2012-04-14T01:59:53
# x-published: 2012-04-10T11:34:00
#
# This function will simulate the ‘Pause’ feature of CMD.exe.
#
function Pause ($Message = "Press any key to continue...")
{
	Write-Host -NoNewline $Message
	$null = $Host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")
	Write-Host ""
}
