# encoding: ascii
# api: powershell
# title: Remove Special Char
# description: This will recursively remove non-alphanumeric\decimal (via regex) characters from all folder and filenames. The decimals are left in tact for file extensions.
# version: 0.1
# author: mjohnson
# license: CC0
# x-poshcode-id: 6493
# x-archived: 2016-11-05T09:25:42
# x-published: 2016-08-29T09:29:00
#
# To replace the characters with another, modify the empty ‘ ‘) } section with your wanted word/char.
# Please use -whatif for testing.
#
gci 'c:\test\' -Recurse | % { Rename-Item $_.FullName $($_.Name -replace
	'[^\w\.]','') }
