# encoding: ascii
# api: powershell
# title: Save-CurrentFile (ISE)
# description: Why to use a FileselectionBox to save your fresh files from ISE, don’t you know your file system? OK perhaps an encoding parameter would be fine, but please don’t default it to ASCII.
# version: 0.1
# type: function
# license: CC0
# function: Save-CurrentFile
# x-poshcode-id: 1318
# x-archived: 2009-09-16T23:59:55
#
#
function Save-CurrentFile ($path)
{
    $psISE.CurrentFile.SaveAs($path)
    $psISE.CurrentFile.Save([Text.Encoding]::default)

}

# Save-CurrentFile '.\Save-CurrentFile.ps1'
