# encoding: ascii
# api: powershell
# title: Services Auto NotRunning
# description: Check if all the services with StartMode AUTOMATIC are actually Running
# version: 0.1
# author: LazyWinAdmincom
# license: CC0
# x-poshcode-id: 2760
# x-archived: 2015-10-18T23:37:28
# x-published: 2011-06-29T19:41:00
#
#
#LazyWinAdmin.com
Get-WmiObject Win32_Service -ComputerName . |`
	where 	{($_.startmode -like "*auto*") -and `
		($_.state -notlike "*running*")}|`
	select DisplayName,Name,StartMode,State|ft -AutoSize
