# encoding: ascii
# api: xml
# title: Solarized (Dark) Theme
# description: A Theme for PowerShell ISE 3 CTP2 following the solarized theme with a dark background. See also “the Set-SolarizedHostColor script“http://poshcode.org/3081 and the Install-Solarized script for PowerShell.exe
# version: 1.0
# type: script
# author: Joel Bennett
# license: CC0
# x-poshcode-id: 3082
# x-archived: 2016-04-23T15:22:08
# x-published: 2012-12-04T10:43:00
#
#
<?xml version="1.0" encoding="utf-16"?>
<StorableColorTheme xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Keys>
    <string>ErrorForegroundColor</string>
    <string>ErrorBackgroundColor</string>
    <string>WarningForegroundColor</string>
    <string>WarningBackgroundColor</string>
    <string>VerboseForegroundColor</string>
    <string>VerboseBackgroundColor</string>
    <string>DebugForegroundColor</string>
    <string>DebugBackgroundColor</string>
    <string>OutputPaneBackgroundColor</string>
    <string>OutputPaneTextBackgroundColor</string>
    <string>OutputPaneForegroundColor</string>
    <string>CommandPaneBackgroundColor</string>
    <string>ScriptPaneBackgroundColor</string>
    <string>ScriptPaneForegroundColor</string>
    <string>TokenColors\Attribute</string>
    <string>TokenColors\Command</string>
    <string>TokenColors\CommandArgument</string>
    <string>TokenColors\CommandParameter</string>
    <string>TokenColors\Comment</string>
    <string>TokenColors\GroupEnd</string>
    <string>TokenColors\GroupStart</string>
    <string>TokenColors\Keyword</string>
    <string>TokenColors\LineContinuation</string>
    <string>TokenColors\LoopLabel</string>
    <string>TokenColors\Member</string>
    <string>TokenColors\NewLine</string>
    <string>TokenColors\Number</string>
    <string>TokenColors\Operator</string>
    <string>TokenColors\Position</string>
    <string>TokenColors\StatementSeparator</string>
    <string>TokenColors\String</string>
    <string>TokenColors\Type</string>
    <string>TokenColors\Unknown</string>
    <string>TokenColors\Variable</string>
    <string>ConsoleTokenColors\Attribute</string>
    <string>ConsoleTokenColors\Command</string>
    <string>ConsoleTokenColors\CommandArgument</string>
    <string>ConsoleTokenColors\CommandParameter</string>
    <string>ConsoleTokenColors\Comment</string>
    <string>ConsoleTokenColors\GroupEnd</string>
    <string>ConsoleTokenColors\GroupStart</string>
    <string>ConsoleTokenColors\Keyword</string>
    <string>ConsoleTokenColors\LineContinuation</string>
    <string>ConsoleTokenColors\LoopLabel</string>
    <string>ConsoleTokenColors\Member</string>
    <string>ConsoleTokenColors\NewLine</string>
    <string>ConsoleTokenColors\Number</string>
    <string>ConsoleTokenColors\Operator</string>
    <string>ConsoleTokenColors\Position</string>
    <string>ConsoleTokenColors\StatementSeparator</string>
    <string>ConsoleTokenColors\String</string>
    <string>ConsoleTokenColors\Type</string>
    <string>ConsoleTokenColors\Unknown</string>
    <string>ConsoleTokenColors\Variable</string>
    <string>XmlTokenColors\Comment</string>
    <string>XmlTokenColors\CommentDelimiter</string>
    <string>XmlTokenColors\ElementName</string>
    <string>XmlTokenColors\MarkupExtension</string>
    <string>XmlTokenColors\Attribute</string>
    <string>XmlTokenColors\Quote</string>
    <string>XmlTokenColors\QuotedString</string>
    <string>XmlTokenColors\Tag</string>
    <string>XmlTokenColors\Text</string>
    <string>XmlTokenColors\CharacterData</string>
  </Keys>
  <Values>
    <Color>
      <A>255</A>
      <R>220</R>
      <G>50</G>
      <B>47</B>
      <ScA>1</ScA>
      <ScR>0.715693533</ScR>
      <ScG>0.0318960324</ScG>
      <ScB>0.02842604</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>203</R>
      <G>75</G>
      <B>22</B>
      <ScA>1</ScA>
      <ScR>0.5972018</ScR>
      <ScG>0.0703601</ScG>
      <ScB>0.008023193</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>38</R>
      <G>139</G>
      <B>210</B>
      <ScA>1</ScA>
      <ScR>0.0193823632</ScR>
      <ScG>0.258182883</ScG>
      <ScB>0.6444797</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>133</R>
      <G>153</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0.23455061</ScR>
      <ScG>0.3185468</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>131</R>
      <G>148</G>
      <B>150</B>
      <ScA>1</ScA>
      <ScR>0.2269659</ScR>
      <ScG>0.2961383</ScG>
      <ScB>0.304987341</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>43</G>
      <B>54</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.024157634</ScG>
      <ScB>0.0368894525</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>131</R>
      <G>148</G>
      <B>150</B>
      <ScA>1</ScA>
      <ScR>0.2269659</ScR>
      <ScG>0.2961383</ScG>
      <ScB>0.304987341</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>131</R>
      <G>148</G>
      <B>150</B>
      <ScA>1</ScA>
      <ScR>0.2269659</ScR>
      <ScG>0.2961383</ScG>
      <ScB>0.304987341</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>181</R>
      <G>137</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0.462077022</ScR>
      <ScG>0.2501583</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>108</R>
      <G>113</G>
      <B>196</B>
      <ScA>1</ScA>
      <ScR>0.149959788</ScR>
      <ScG>0.1651322</ScG>
      <ScB>0.55201143</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>133</R>
      <G>153</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0.23455061</ScR>
      <ScG>0.3185468</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>88</R>
      <G>110</G>
      <B>117</B>
      <ScA>1</ScA>
      <ScR>0.0975873545</ScR>
      <ScG>0.155926466</ScG>
      <ScB>0.177888423</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>220</R>
      <G>50</G>
      <B>47</B>
      <ScA>1</ScA>
      <ScR>0.715693533</ScR>
      <ScG>0.0318960324</ScG>
      <ScB>0.02842604</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>220</R>
      <G>50</G>
      <B>47</B>
      <ScA>1</ScA>
      <ScR>0.715693533</ScR>
      <ScG>0.0318960324</ScG>
      <ScB>0.02842604</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>147</R>
      <G>161</G>
      <B>161</B>
      <ScA>1</ScA>
      <ScR>0.291770667</ScR>
      <ScG>0.356400162</ScG>
      <ScB>0.356400162</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>147</R>
      <G>161</G>
      <B>161</B>
      <ScA>1</ScA>
      <ScR>0.291770667</ScR>
      <ScG>0.356400162</ScG>
      <ScB>0.356400162</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>224</R>
      <G>255</G>
      <B>255</B>
      <ScA>1</ScA>
      <ScR>0.745404243</ScR>
      <ScG>1</ScG>
      <ScB>1</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>131</R>
      <G>148</G>
      <B>150</B>
      <ScA>1</ScA>
      <ScR>0.2269659</ScR>
      <ScG>0.2961383</ScG>
      <ScB>0.304987341</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>255</R>
      <G>255</G>
      <B>255</B>
      <ScA>1</ScA>
      <ScR>1</ScR>
      <ScG>1</ScG>
      <ScB>1</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>220</R>
      <G>50</G>
      <B>47</B>
      <ScA>1</ScA>
      <ScR>0.715693533</ScR>
      <ScG>0.0318960324</ScG>
      <ScB>0.02842604</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>211</R>
      <G>211</G>
      <B>211</B>
      <ScA>1</ScA>
      <ScR>0.651405632</ScR>
      <ScG>0.651405632</ScG>
      <ScB>0.651405632</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>220</R>
      <G>50</G>
      <B>47</B>
      <ScA>1</ScA>
      <ScR>0.715693533</ScR>
      <ScG>0.0318960324</ScG>
      <ScB>0.02842604</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>147</R>
      <G>161</G>
      <B>161</B>
      <ScA>1</ScA>
      <ScR>0.291770667</ScR>
      <ScG>0.356400162</ScG>
      <ScB>0.356400162</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>42</R>
      <G>161</G>
      <B>152</B>
      <ScA>1</ScA>
      <ScR>0.0231533684</ScR>
      <ScG>0.356400162</ScG>
      <ScB>0.313988745</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>203</R>
      <G>75</G>
      <B>22</B>
      <ScA>1</ScA>
      <ScR>0.5972018</ScR>
      <ScG>0.0703601</ScG>
      <ScB>0.008023193</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>131</R>
      <G>148</G>
      <B>150</B>
      <ScA>1</ScA>
      <ScR>0.2269659</ScR>
      <ScG>0.2961383</ScG>
      <ScB>0.304987341</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>38</R>
      <G>139</G>
      <B>210</B>
      <ScA>1</ScA>
      <ScR>0.0193823632</ScR>
      <ScG>0.258182883</ScG>
      <ScB>0.6444797</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>176</R>
      <G>196</G>
      <B>222</B>
      <ScA>1</ScA>
      <ScR>0.434153676</ScR>
      <ScG>0.55201143</ScG>
      <ScB>0.730460763</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>224</R>
      <G>255</G>
      <B>255</B>
      <ScA>1</ScA>
      <ScR>0.745404243</ScR>
      <ScG>1</ScG>
      <ScB>1</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>238</R>
      <G>130</G>
      <B>238</B>
      <ScA>1</ScA>
      <ScR>0.8549926</ScR>
      <ScG>0.223227978</ScG>
      <ScB>0.8549926</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>255</R>
      <G>228</G>
      <B>181</B>
      <ScA>1</ScA>
      <ScR>1</ScR>
      <ScG>0.7758222</ScG>
      <ScB>0.462077022</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>152</R>
      <G>251</G>
      <B>152</B>
      <ScA>1</ScA>
      <ScR>0.313988745</ScR>
      <ScG>0.9646863</ScG>
      <ScB>0.313988745</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>224</R>
      <G>255</G>
      <B>255</B>
      <ScA>1</ScA>
      <ScR>0.745404243</ScR>
      <ScG>1</ScG>
      <ScB>1</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>224</R>
      <G>255</G>
      <B>255</B>
      <ScA>1</ScA>
      <ScR>0.745404243</ScR>
      <ScG>1</ScG>
      <ScB>1</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>255</R>
      <G>228</G>
      <B>196</B>
      <ScA>1</ScA>
      <ScR>1</ScR>
      <ScG>0.7758222</ScG>
      <ScB>0.55201143</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>211</R>
      <G>211</G>
      <B>211</B>
      <ScA>1</ScA>
      <ScR>0.651405632</ScR>
      <ScG>0.651405632</ScG>
      <ScB>0.651405632</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>219</R>
      <G>112</G>
      <B>147</B>
      <ScA>1</ScA>
      <ScR>0.7083758</ScR>
      <ScG>0.162029386</ScG>
      <ScB>0.291770667</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>143</R>
      <G>188</G>
      <B>143</B>
      <ScA>1</ScA>
      <ScR>0.274677336</ScR>
      <ScG>0.5028865</ScG>
      <ScB>0.274677336</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>245</R>
      <G>245</G>
      <B>245</B>
      <ScA>1</ScA>
      <ScR>0.913098633</ScR>
      <ScG>0.913098633</ScG>
      <ScB>0.913098633</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>255</R>
      <G>69</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>1</ScR>
      <ScG>0.0595112443</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>100</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.127437681</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>128</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0.215860531</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>139</R>
      <G>0</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0.258182883</ScR>
      <ScG>0</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>255</R>
      <G>140</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>1</ScR>
      <ScG>0.2622507</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>255</R>
      <G>0</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>1</ScR>
      <ScG>0</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>0</G>
      <B>255</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0</ScG>
      <ScB>1</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>0</G>
      <B>139</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0</ScG>
      <ScB>0.258182883</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>0</G>
      <B>139</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0</ScG>
      <ScB>0.258182883</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>0</R>
      <G>0</G>
      <B>0</B>
      <ScA>1</ScA>
      <ScR>0</ScR>
      <ScG>0</ScG>
      <ScB>0</ScB>
    </Color>
    <Color>
      <A>255</A>
      <R>128</R>
      <G>128</G>
      <B>128</B>
      <ScA>1</ScA>
      <ScR>0.215860531</ScR>
      <ScG>0.215860531</ScG>
      <ScB>0.215860531</ScB>
    </Color>
  </Values>
  <Name>Solarized (Dark)</Name>
  <FontFamily>Consolas</FontFamily>
  <FontSize>14</FontSize>
</StorableColorTheme>
