# encoding: ascii
# api: xml
# title: powershell ise config
# description: Enable LegacyV2RuntimeActivation so that BitsTransfer and SQLPS will work in the new .Net 4 PowerShell ISE (this config file is REQUIRED for PowerShell 3 CTP1 to work with those modules and other down-level .Net 2 modules). Save as C:\Windows\System32\WindowsPowerShell\v1.0\powershell_ise.exe.config
# version: 4.0
# author: Joel Bennett
# license: CC0
# x-poshcode-id: 2969
# x-archived: 2017-05-22T04:06:31
# x-published: 2012-09-26T10:25:00
#
# The <runtime><loadFromRemoteSources enabled="true"/></runtime> element isn’t required: it enables loading assemblies (and thus, compiled modules) from network shares and UNC paths.
# Note: you could add <process> <rollForward enabled="true" /> </process> in the startup element, but as far as I can tell, it’s not required for ISE (it might be for PowerShell.exe to work with certain COM APIs, but I’m not sure).
#
<configuration>
   <startup useLegacyV2RuntimeActivationPolicy="true">
      <supportedRuntime version="v4.0" />
   </startup>
   <runtime>
      <loadFromRemoteSources enabled="true"/>
   </runtime>
</configuration>
