# encoding: ascii
# api: xml
# title: wpf datagrid xaml
# description: Datagrid Xaml layout needed for Boots DataGrid binding example http://poshcode.org/2259
# version: 18.667
# author: foureight84
# license: CC0
# x-poshcode-id: 6247
# x-archived: 2016-08-22T02:14:40
# x-published: 2016-03-08T09:49:00
#
# Requires .Net 4, or Wpftoolkit if you don’t have .Net 4
#
<Window
	xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
	xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
	x:Name="Window"
	Title="DataGrid Binding"
	Width="640" Height="480">
	<Grid >
		<TextBlock Height="24" Margin="8,8,8,0" TextWrapping="Wrap" Text="DataGrid" VerticalAlignment="Top" FontSize="18.667" FontFamily="Arial" FontWeight="Bold"/>
		<DataGrid HorizontalAlignment="Left" Margin="8,82,0,8" Width="240" Name="HadesDevices" AutoGenerateColumns="True">
			<DataGrid.Columns>
				<DataGridTextColumn Binding="{Binding Path=DeviceGroup}" Header="Manufacturer"></DataGridTextColumn>
				<DataGridTextColumn Binding="{Binding Path=Device}" Header="Model"></DataGridTextColumn>
				<DataGridTextColumn Binding="{Binding Path=Platform}" Header="Platform"></DataGridTextColumn>
			</DataGrid.Columns>
		</DataGrid>
	</Grid>
</Window>
