# encoding: ascii
# api: powershell
# title: Check PowerShell version
# description: Check if PowerShell version 3 or higher is installed
# version: 3.0
# author: Adam Mendoza
# license: CC0
# x-poshcode-id: 3473
# x-archived: 2016-06-19T06:20:17
# x-published: 2013-06-22T14:44:00
#
#

#Check if PowerShell version 3 or higher is installed
if($host.Version.Major -lt 3)
{
 Write-Host "PowerShell Version 3 or higher needs to be installed"  -ForegroundColor Red
 Write-Host "Windows Management Framework 3.0 - RC"  -ForegroundColor Magenta
 Write-Host "http://www.microsoft.com/en-us/download/details.aspx?id=29939"  -ForegroundColor Magenta
 Break
}
