# encoding: ascii
# api: powershell
# title: Copiar-Arquivos
# description: Copy Data between Folders including a Progressbar
# version: 0.1
# type: function
# author: zorion
# license: CC0
# function: copy-data
# x-poshcode-id: 5862
# x-archived: 2015-05-22T03:53:20
# x-published: 2015-05-18T20:32:00
#
#
function copy-data {
	param($source, $dest)
	$counter = 0
	$files = Get-ChildItem $source -Force -Recurse
	foreach($file in $files)
		{
		$status = "Copying file {0} of {1}: {2}" -f $counter, $files.count, $file.name
		Write-Progress -Activity "Copyng Files" -Status $status -PercentComplete ($counter/$files.count * 100)
		Copy-Item $file.pspath $dest -Force
		$counter++
		}
}
