# encoding: ascii
# api: powershell
# title: Dumping COM
# description: This script dumping registred COM objects names, sort and write them into a log.
# version: 0.1
# type: class
# author: greg zakharov
# license: CC0
# x-poshcode-id: 3317
# x-archived: 2013-09-16T06:01:19
# x-published: 2013-04-06T06:20:00
#
#
$arr = @()
$key = "HKLM:\SOFTWARE\Classes\CLSID"

foreach ($i in (gci $key)) {
  $des = $key + "\" + $i.PSChildName + "\ProgID"
  Write-Progress "Dumping. Please, standby..." $des

  foreach ($a in (gp -ea 0 $des)."(default)") {
    $arr += $a
  }
}

[array]::Sort([array]$arr)
$arr | Out-File -file C:\logs\COMnames.txt -enc UTF8
