# encoding: ascii
# api: powershell
# title: ExecutePowerShell.cmd
# description: This is a batch file … with a PowerShell script inside.  It’s my answer to all those “compile your .ps1” solutions that are floating around. Why would you do that, when PowerShell still has to be installed?
# version: 0.1
# type: script
# license: CC0
# x-poshcode-id: 2447
# x-archived: 2011-01-10T08:49:51
#
# In any case, just replace the last two lines of the file with … whatever script you want to execute, and hand it out as a .cmd batch file.  People can double-click it and it should “just work”
# Note that it runs with ExecutionPolicy unrestricted and -NoProfile to make sure the environment is the same on everyone’s PC…
#
:: <#
copy %0 %0.ps1
PowerShell.exe -ExecutionPolicy Unrestricted -NoProfile -Command "$ErrorActionPreference = 'SilentlyContinue'; . %0.ps1; Remove-Item %0.ps1"
exit
:: #>
$ErrorActionPreference = 'Continue'

### Your PowerShell script goes below here.
### I've put a couple of lines as an example ...
ls | sort length -desc | select -first 5 | ft
ps | sort ws -desc | select -first 10 | ft
