# encoding: ascii
# api: powershell
# title: Find-Command
# description: Because people keep asking questions on IRC where the answer seems obvious…
# version: 0.1
# type: function
# author: Joel Bennett
# license: CC0
# function: Find-Command
# x-poshcode-id: 3019
# x-archived: 2011-10-23T11:33:19
# x-published: 2011-10-21T13:21:00
#
#
function Find-Command{
param([Parameter($Mandatory=$true)]$question)

Get-Command -Verb ($question.Split() | Where {Get-Verb $_ }) -Noun $question.Split()
}
