# encoding: ascii
# api: powershell
# title: Get-PSVersion
# description: Simple Function to get powershell version
# version: 0.1
# type: function
# author: Powershell Jedi
# license: CC0
# function: Get-PSVersion
# x-poshcode-id: 959
# x-archived: 2015-05-04T21:54:48
# x-published: 2009-03-17T05:35:00
#
#
Set-Alias Ver Get-PSVersion
function Get-PSVersion
{
[string]$Major = ($PSVersionTable).PSVersion.Major
[string]$Minor = ($PSVersionTable).PSVersion.Minor
[string]$Out = $Major + '.' + $Minor
Write-Output $Out
}
