# encoding: ascii
# api: powershell
# title: Import-UniqueModule
# description: An attempt to resolve namespace clashes without overwriting functions …
# version: 0.1
# type: function
# license: CC0
# function: Import-UniqueModule
# x-poshcode-id: 2303
# x-archived: 2010-10-20T09:16:46
#
#
## WARNING: I take no responsibility for how weird this is.
function Import-UniqueModule { 

param([Parameter(Mandatory=$true)][String]$ModuleName)

$unique = [guid]::NewGuid().Guid -replace "-"
Import-Module $ModuleName -Prefix $unique
Get-Command -Module $ModuleName | 
   New-Alias -Name {$_.Name -replace $unique} -Value { "{0}/{1}" -f $_.ModuleName, $_.name }

}
