# encoding: ascii
# api: powershell
# title: New-NamedPipe
# description: The below will create a bi-directional named pipe with the name you specify in the $pipeName variable.  Note that .NET 3.5 is required for the System.IO.Pipes namespace.
# version: 3.5
# license: CC0
# x-poshcode-id: 898
# x-archived: 2009-03-03T09:49:38
#
#
# .NET 3.5 is required to use the System.IO.Pipes namespace
[reflection.Assembly]::LoadWithPartialName("system.core") | Out-Null
$pipeName = "pipename"
$pipeDir = [System.IO.Pipes.PipeDirection]::InOut
$pipe = New-Object system.IO.Pipes.NamedPipeServerStream( $pipeName, $pipeDir )
