﻿# encoding: utf-8
# api: powershell
# title: PowerCLI error report
# description: Generating error report bundle for VMware PowerCLI / vSphere
# version: 0.1
# type: script
# license: CC0
# x-poshcode-id: 2020
# x-archived: 2010-07-26T15:34:05
#
#
$getVmScript = { 
	Connect-VIServer yourVCenterServer
	Get-VM
}
$ getVmScript | Get-ErrorReport -ProblemScriptTimeoutSeconds 60 -ProblemDescription "Get-VM hangs when trying to retrieve all the VMs form the server. The servers inventory can be successfully browsed via the vClient." -Destination 'D:\bug report'
