# encoding: ascii
# api: powershell
# title: Search cmdlet help
# description: This is a simple little function to search all available cmdlets for a given keyword. Similar to man -k.
# version: 0.1
# type: function
# author: Carter Shanklin
# license: CC0
# function: Search-Help
# x-poshcode-id: 1254
# x-archived: 2009-08-10T02:45:28
#
#
function Search-Help($term) {
	Get-Command | Where { Get-Help -full -ea SilentlyContinue $_ |
	    Out-String | Select-String $term }
}
