# encoding: ascii
# api: powershell
# title: 
# description: Search for PowerCLI 4.1 incompatible type references
# version: 0.1
# license: CC0
# x-poshcode-id: 1996
# x-archived: 2010-07-21T21:17:35
#
#
Get-PSDrive -PSProvider FileSystem | foreach { $_.Root } | `
   Get-ChildItem -Recurse -Include '*.ps1', '*.psm1', '*.ps1xml' | `
   where { Select-String -Path $_ -SimpleMatch -Pattern `
            'VMware.VimAutomation.Types.', `
            'VMware.VimAutomation.Client20.', `
            '[Datastore]' }
