﻿# encoding: utf-8
# api: powershell
# title: Show Databases on server
# description: #############################################################################################
# version: 0.1
# type: function
# author: Rob Sewell
# license: CC0
# function: Show-DatabasesOnServer
# x-poshcode-id: 5984
# x-archived: 2016-05-17T10:49:44
# x-published: 2016-08-24T18:50:00
#
# #
# NAME: Show-DatabasesOnServer.ps1
# AUTHOR: Rob Sewell http://sqldbawithabeard.com
# DATE:22/07/2013
# #
# COMMENTS: Load function for finding a databases on Server
# 
#
 #############################################################################################
#
# NAME: Show-DatabasesOnServer.ps1
# AUTHOR: Rob Sewell http://sqldbawithabeard.com
# DATE:22/07/2013
#
# COMMENTS: Load function for finding a databases on Server
# 


Function Show-DatabasesOnServer ([string]$Server)
{
$srv = New-Object ('Microsoft.SqlServer.Management.Smo.Server') $server

Write-Host " The Databases on $Server Are As Follows"
$srv.databases| Select Name
}
