# encoding: ascii
# api: powershell
# title: Start-Process
# description: This is a simple function that can “Start” apps and return the PROCESS object.  In particular, it can start URIs, documents, and apps defined in the “App Paths” registry, and basically anything that you could start from the run dialog.
# version: 0.1
# type: function
# license: CC0
# x-poshcode-id: 741
# x-archived: 2008-12-21T05:41:24
#
#
function Start($app,$param) {
   if($param) {
      [Diagnostics.Process]::Start( $app, $param )
   } else {
      [Diagnostics.Process]::Start( $app )
   }
}
