# encoding: ascii
# api: powershell
# title: Where-like
# description: Where-like function works as a pipeline console filter.
# version: 0.1
# type: function
# author: sibroller
# license: CC0
# function: Where-Like
# x-poshcode-id: 4283
# x-archived: 2013-07-09T04:19:50
# x-published: 2013-07-02T08:00:00
#
# The idea is to filter a result of any cmdlet with less effort.
# I.g. Get-ChildItem ‘C:\Windows’ | Where-Like name explo
#
function Where-Like {
	Param($member, $string)
	process { $input | where {$_.$member -like $string} } 
}
