# encoding: ascii
# api: powershell
# title: accelerators for posh 2
# description: As you know PowerShell v3 has [accelerators] type but PowerShell v2 has not this feature. So why do I have to endure this omission in PowerShell v2?
# version: 0.1
# author: greg zakharov
# license: CC0
# x-poshcode-id: 4567
# x-archived: 2013-11-01T01:52:03
# x-published: 2013-10-28T07:34:00
#
#
$ta = [Type]::GetType("System.Management.Automation.TypeAccelerators")
$ta::Get.Keys.GetEnumerator() | % {$arr = @()}{
  $arr += $($_ -ne 'accelerators')
}{
  if (-not ($arr -contains 'False')) {
    $ta::Add('accelerators', $ta)
  }
}
