# encoding: ascii
# api: powershell
# title: export migrations
# description: export all mailbox migration stats.
# version: 0.1
# author: steve
# license: CC0
# x-poshcode-id: 5645
# x-archived: 2015-02-17T17:51:52
# x-published: 2015-12-15T16:27:00
#
#
$Migrations = get-moverequest

foreach ($migration in $migrations) {Get-MoveRequestStatistics $migration.alias -IncludeReport | select displayname,status,starttimestamp,completiontimestamp,overallduration,totalmailboxsize,totalmailboxitemcount} | export-csv -Delimiter ';' -NoTypeInformation -Force -Path 'C:\Users\Tester\Desktop\Migrationstats.csv'
